"use strict";
var _a, _b, _c, _d;
Object.defineProperty(exports, "__esModule", { value: true });
exports.BINDINGS = void 0;
var empathy_adapter_config_1 = require("../config/empathy-adapter.config");
var fetch_http_client_1 = require("../http-clients/fetch-http-client");
var empathy_clicks_recommendations_request_mapper_1 = require("../mappers/request/empathy-clicks-recommendations-request.mapper");
var empathy_queries_recommendations_request_mapper_1 = require("../mappers/request/empathy-queries-recommendations-request.mapper");
var empathy_queryable_request_mapper_1 = require("../mappers/request/empathy-queryable-request.mapper");
var empathy_request_params_mapper_1 = require("../mappers/request/empathy-request-params.mapper");
var empathy_search_request_mapper_1 = require("../mappers/request/empathy-search-request.mapper");
var empathy_section_recommendations_request_mapper_1 = require("../mappers/request/empathy-section-recommendations-request.mapper");
var empathy_user_data_request_mapper_1 = require("../mappers/request/empathy-user-data-request.mapper");
var empathy_request_filters_solr_syntax_mapper_1 = require("../mappers/request/params/empathy-request-filters-solr-syntax.mapper");
var empathy_request_filters_mapper_1 = require("../mappers/request/params/empathy-request-filters.mapper");
var empathy_request_query_mapper_1 = require("../mappers/request/params/empathy-request-query.mapper");
var empathy_request_related_tags_query_mapper_1 = require("../mappers/request/params/empathy-request-related-tags-query.mapper");
var empathy_request_sort_mapper_1 = require("../mappers/request/params/empathy-request-sort.mapper");
var response_mappers_1 = require("../mappers/response.mappers");
var empathy_banner_mapper_1 = require("../mappers/response/empathy-banner.mapper");
var empathy_next_query_mapper_1 = require("../mappers/response/empathy-next-query.mapper");
var empathy_partial_result_mapper_1 = require("../mappers/response/empathy-partial-result.mapper");
var empathy_promoted_mapper_1 = require("../mappers/response/empathy-promoted.mapper");
var empathy_redirection_mapper_1 = require("../mappers/response/empathy-redirection.mapper");
var empathy_related_tag_mapper_1 = require("../mappers/response/empathy-related-tag.mapper");
var empathy_simple_value_mapper_1 = require("../mappers/response/empathy-simple-value.mapper");
var empathy_tagging_mapper_1 = require("../mappers/response/empathy-tagging.mapper");
var empathy_facet_mapper_1 = require("../mappers/response/facets/empathy-facet.mapper");
var empathy_hierarchical_facet_mapper_1 = require("../mappers/response/facets/empathy-hierarchical-facet.mapper");
var empathy_number_range_facet_mapper_1 = require("../mappers/response/facets/empathy-number-range-facet.mapper");
var empathy_simple_facet_mapper_1 = require("../mappers/response/facets/empathy-simple-facet.mapper");
var empathy_boolean_filter_mapper_1 = require("../mappers/response/filters/empathy-boolean-filter.mapper");
var empathy_facet_filter_mapper_1 = require("../mappers/response/filters/empathy-facet-filter.mapper");
var empathy_hierarchical_filter_mapper_1 = require("../mappers/response/filters/empathy-hierarchical-filter.mapper");
var empathy_number_range_filter_mapper_1 = require("../mappers/response/filters/empathy-number-range-filter.mapper");
var empathy_simple_filter_mapper_1 = require("../mappers/response/filters/empathy-simple-filter.mapper");
var empathy_result_query_tagging_mapper_1 = require("../mappers/response/results/empathy-result-query-tagging.mapper");
var empathy_result_mapper_1 = require("../mappers/response/results/empathy-result.mapper");
var empathy_suggestion_facets_mapper_1 = require("../mappers/response/suggestions/empathy-suggestion-facets.mapper");
var empathy_suggestion_mapper_1 = require("../mappers/response/suggestions/empathy-suggestion.mapper");
var beacon_tracking_requestor_1 = require("../requestors/beacon-tracking.requestor");
var feature_requestor_1 = require("../requestors/feature.requestor");
var requestors_1 = require("../requestors/requestors");
var empathy_endpoints_service_1 = require("../services/empathy-endpoints.service");
var container_const_1 = require("./container.const");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
exports.BINDINGS = (_a = {},
    _a[container_const_1.DEPENDENCIES.config] = { toConstant: empathy_adapter_config_1.DEFAULT_EMPATHY_ADAPTER_CONFIG },
    _a[container_const_1.DEPENDENCIES.httpClient] = fetch_http_client_1.FetchHttpClient,
    _a[container_const_1.DEPENDENCIES.endpointsService] = empathy_endpoints_service_1.EmpathyEndpointsService,
    _a[container_const_1.DEPENDENCIES.entityMappers] = response_mappers_1.ResponseMappers,
    _a[container_const_1.DEPENDENCIES.requestors] = requestors_1.Requestors,
    _a[container_const_1.DEPENDENCIES.featureName] = {
        toConstantWhenInjectedInto: (_b = {},
            _b[container_const_1.DEPENDENCIES.Requestors.nextQueries] = 'nextQueries',
            _b[container_const_1.DEPENDENCIES.Requestors.topRecommendations] = 'topRecommendations',
            _b[container_const_1.DEPENDENCIES.Requestors.sectionRecommendations] = 'sectionRecommendations',
            _b[container_const_1.DEPENDENCIES.Requestors.clicksRecommendations] = 'clicksRecommendations',
            _b[container_const_1.DEPENDENCIES.Requestors.queriesRecommendations] = 'queriesRecommendations',
            _b[container_const_1.DEPENDENCIES.Requestors.userRecommendations] = 'userRecommendations',
            _b[container_const_1.DEPENDENCIES.Requestors.search] = 'search',
            _b[container_const_1.DEPENDENCIES.Requestors.relatedTags] = 'relatedTags',
            _b[container_const_1.DEPENDENCIES.Requestors.searchById] = 'searchById',
            _b[container_const_1.DEPENDENCIES.Requestors.suggestions] = 'suggestions',
            _b[container_const_1.DEPENDENCIES.Requestors.track] = 'track',
            _b)
    },
    // Requestors
    _a[container_const_1.DEPENDENCIES.Requestors.nextQueries] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.topRecommendations] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.sectionRecommendations] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.clicksRecommendations] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.queriesRecommendations] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.userRecommendations] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.search] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.relatedTags] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.searchById] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.suggestions] = feature_requestor_1.FeatureRequestor,
    _a[container_const_1.DEPENDENCIES.Requestors.track] = beacon_tracking_requestor_1.BeaconTrackingRequestor,
    // Request mappers
    _a[container_const_1.DEPENDENCIES.requestMappers] = {
        default: empathy_request_params_mapper_1.EmpathyRequestParamsMapper,
        whenInjectedInto: (_c = {},
            _c[container_const_1.DEPENDENCIES.Requestors.nextQueries] = empathy_queryable_request_mapper_1.EmpathyQueryableRequestMapper,
            _c[container_const_1.DEPENDENCIES.Requestors.topRecommendations] = empathy_queryable_request_mapper_1.EmpathyQueryableRequestMapper,
            _c[container_const_1.DEPENDENCIES.Requestors.sectionRecommendations] = [empathy_section_recommendations_request_mapper_1.EmpathySectionRecommendationsRequestMapper, empathy_user_data_request_mapper_1.EmpathyUserInfoMapper],
            _c[container_const_1.DEPENDENCIES.Requestors.clicksRecommendations] = [empathy_clicks_recommendations_request_mapper_1.EmpathyClicksRecommendationsRequestMapper, empathy_user_data_request_mapper_1.EmpathyUserInfoMapper],
            _c.EmpathySectionRecommendationsRequestMapper = empathy_section_recommendations_request_mapper_1.EmpathySectionRecommendationsRequestMapper,
            _c[container_const_1.DEPENDENCIES.Requestors.queriesRecommendations] = [
                empathy_queries_recommendations_request_mapper_1.EmpathyQueriesRecommendationsRequestMapper,
                empathy_section_recommendations_request_mapper_1.EmpathySectionRecommendationsRequestMapper,
                empathy_user_data_request_mapper_1.EmpathyUserInfoMapper
            ],
            _c[container_const_1.DEPENDENCIES.Requestors.userRecommendations] = [empathy_user_data_request_mapper_1.EmpathyUserInfoMapper, empathy_section_recommendations_request_mapper_1.EmpathySectionRecommendationsRequestMapper],
            _c[container_const_1.DEPENDENCIES.Requestors.search] = empathy_search_request_mapper_1.EmpathySearchRequestMapper,
            _c[container_const_1.DEPENDENCIES.Requestors.relatedTags] = empathy_queryable_request_mapper_1.EmpathyQueryableRequestMapper,
            _c[container_const_1.DEPENDENCIES.Requestors.searchById] = empathy_queryable_request_mapper_1.EmpathyQueryableRequestMapper,
            _c[container_const_1.DEPENDENCIES.Requestors.suggestions] = empathy_queryable_request_mapper_1.EmpathyQueryableRequestMapper,
            _c)
    },
    // Request params mappers
    _a[container_const_1.DEPENDENCIES.RequestMappers.Parameters.query] = [empathy_request_related_tags_query_mapper_1.EmpathyRequestRelatedTagsQueryMapper, empathy_request_query_mapper_1.EmpathyRequestQueryMapper],
    _a[container_const_1.DEPENDENCIES.RequestMappers.Parameters.filters] = empathy_request_filters_mapper_1.EmpathyRequestFiltersMapper,
    _a[container_const_1.DEPENDENCIES.RequestMappers.Parameters.filtersValue] = empathy_request_filters_solr_syntax_mapper_1.EmpathyRequestFiltersSolrSyntaxMapper,
    _a[container_const_1.DEPENDENCIES.RequestMappers.Parameters.sort] = empathy_request_sort_mapper_1.EmpathyRequestSortMapper,
    // Response mappers
    _a[container_const_1.DEPENDENCIES.ResponseMappers.banners] = empathy_banner_mapper_1.EmpathyBannerMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.facets] = [
        empathy_facet_mapper_1.EmpathyFacetMapper,
        empathy_simple_facet_mapper_1.EmpathySimpleFacetMapper,
        empathy_hierarchical_facet_mapper_1.EmpathyHierarchicalFacetMapper,
        empathy_number_range_facet_mapper_1.EmpathyNumberRangeFacetMapper
    ],
    _a[container_const_1.DEPENDENCIES.ResponseMappers.simpleFilter] = [empathy_facet_filter_mapper_1.EmpathyFacetFilterMapper, empathy_boolean_filter_mapper_1.EmpathyBooleanFilterMapper, empathy_simple_filter_mapper_1.EmpathySimpleFilterMapper],
    _a[container_const_1.DEPENDENCIES.ResponseMappers.hierarchicalFilter] = [empathy_facet_filter_mapper_1.EmpathyFacetFilterMapper, empathy_boolean_filter_mapper_1.EmpathyBooleanFilterMapper, empathy_hierarchical_filter_mapper_1.EmpathyHierarchicalFilterMapper],
    _a[container_const_1.DEPENDENCIES.ResponseMappers.numberRangeFilter] = [empathy_facet_filter_mapper_1.EmpathyFacetFilterMapper, empathy_boolean_filter_mapper_1.EmpathyBooleanFilterMapper, empathy_number_range_filter_mapper_1.EmpathyNumberRangeFilterMapper],
    _a[container_const_1.DEPENDENCIES.ResponseMappers.nextQueries] = empathy_next_query_mapper_1.EmpathyNextQueryMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.partialResults] = empathy_partial_result_mapper_1.EmpathyPartialResultMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.promoteds] = empathy_promoted_mapper_1.EmpathyPromotedMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.queryTagging] = empathy_tagging_mapper_1.EmpathyTaggingMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.redirections] = empathy_redirection_mapper_1.EmpathyRedirectionMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.relatedTags] = empathy_related_tag_mapper_1.EmpathyRelatedTagMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.results] = {
        default: empathy_result_mapper_1.EmpathyResultMapper,
        whenAnyAncestorIs: (_d = {},
            _d[container_const_1.DEPENDENCIES.Requestors.search] = empathy_result_query_tagging_mapper_1.EmpathyResultQueryTaggingMapper,
            _d[container_const_1.DEPENDENCIES.Requestors.searchById] = empathy_result_query_tagging_mapper_1.EmpathyResultQueryTaggingMapper,
            _d)
    },
    _a[container_const_1.DEPENDENCIES.ResponseMappers.showTagging] = empathy_tagging_mapper_1.EmpathyTaggingMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.spellcheck] = empathy_simple_value_mapper_1.EmpathySimpleValueMapper,
    _a[container_const_1.DEPENDENCIES.ResponseMappers.suggestions] = [empathy_suggestion_mapper_1.EmpathySuggestionMapper, empathy_suggestion_facets_mapper_1.EmpathySuggestionFacetsMapper],
    _a[container_const_1.DEPENDENCIES.ResponseMappers.totalResults] = empathy_simple_value_mapper_1.EmpathySimpleValueMapper,
    // Response helpers
    _a[container_const_1.DEPENDENCIES.ResponseMappers.Helpers.tagging] = empathy_tagging_mapper_1.EmpathyTaggingMapper,
    _a);
//# sourceMappingURL=container.bindings.js.map