"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathySearchRequestMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../container/container.const");
var pipe_mappers_1 = require("../pipe-mappers");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathySearchRequestMapper = /** @class */ (function () {
    function EmpathySearchRequestMapper(queryMapper, filtersMapper, sortMappers) {
        this.mapQuery = pipe_mappers_1.pipeMappers.apply(void 0, queryMapper);
        this.mapFilters = pipe_mappers_1.pipeMappers.apply(void 0, filtersMapper);
        this.mapSort = pipe_mappers_1.pipeMappers.apply(void 0, sortMappers);
    }
    EmpathySearchRequestMapper.prototype.map = function (_a, request, context) {
        var query = _a.query, _b = _a.relatedTags, relatedTags = _b === void 0 ? [] : _b, _c = _a.filters, filters = _c === void 0 ? {} : _c, sort = _a.sort, rest = tslib_1.__rest(_a, ["query", "relatedTags", "filters", "sort"]);
        return Object.assign(request, tslib_1.__assign(tslib_1.__assign({}, rest), { q: query && this.mapQuery({ query: query, relatedTags: relatedTags }, query, context), filter: this.mapFilters(filters, [], context), sort: this.mapSort(sort, '', context) }));
    };
    EmpathySearchRequestMapper = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.multiInject(container_const_1.DEPENDENCIES.RequestMappers.Parameters.query)),
        tslib_1.__param(1, inversify_1.multiInject(container_const_1.DEPENDENCIES.RequestMappers.Parameters.filters)),
        tslib_1.__param(2, inversify_1.multiInject(container_const_1.DEPENDENCIES.RequestMappers.Parameters.sort)),
        tslib_1.__metadata("design:paramtypes", [Array, Array, Array])
    ], EmpathySearchRequestMapper);
    return EmpathySearchRequestMapper;
}());
exports.EmpathySearchRequestMapper = EmpathySearchRequestMapper;
//# sourceMappingURL=empathy-search-request.mapper.js.map