"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathyRequestFiltersMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../../container/container.const");
var pipe_mappers_1 = require("../../pipe-mappers");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyRequestFiltersMapper = /** @class */ (function () {
    function EmpathyRequestFiltersMapper(filtersValueMappers) {
        this.mapFiltersValue = pipe_mappers_1.pipeMappers.apply(void 0, filtersValueMappers);
    }
    EmpathyRequestFiltersMapper.prototype.map = function (selectedFilters, filtersValue, context) {
        var _this = this;
        return Object.values(selectedFilters).reduce(function (mappedFilters, filters) {
            if (filters.length) {
                mappedFilters.push.apply(mappedFilters, _this.mapFiltersValue(filters, [], context));
            }
            return mappedFilters;
        }, filtersValue);
    };
    EmpathyRequestFiltersMapper = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.multiInject(container_const_1.DEPENDENCIES.RequestMappers.Parameters.filtersValue)),
        tslib_1.__metadata("design:paramtypes", [Array])
    ], EmpathyRequestFiltersMapper);
    return EmpathyRequestFiltersMapper;
}());
exports.EmpathyRequestFiltersMapper = EmpathyRequestFiltersMapper;
//# sourceMappingURL=empathy-request-filters.mapper.js.map