"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathySimpleFacetMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../../container/container.const");
var pipe_mappers_1 = require("../../pipe-mappers");
/**
 * Simple Empathy facet mapper.
 *
 * @public
 */
var EmpathySimpleFacetMapper = /** @class */ (function () {
    function EmpathySimpleFacetMapper(filterMappers) {
        this.mapFilter = pipe_mappers_1.pipeMappers.apply(void 0, filterMappers);
    }
    EmpathySimpleFacetMapper.prototype.map = function (rawFacet, facet, context) {
        if (facet.modelName === 'SimpleFacet') {
            Object.assign(facet, {
                filters: this.mapFilters(facet, rawFacet.values, context)
            });
        }
        return facet;
    };
    EmpathySimpleFacetMapper.prototype.mapFilters = function (facet, rawFilters, context) {
        var _this = this;
        if (rawFilters === void 0) { rawFilters = []; }
        return rawFilters.map(function (rawFilter) { return _this.mapFilter(rawFilter, { facetId: facet.id }, context); });
    };
    EmpathySimpleFacetMapper = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.multiInject(container_const_1.DEPENDENCIES.ResponseMappers.simpleFilter)),
        tslib_1.__metadata("design:paramtypes", [Array])
    ], EmpathySimpleFacetMapper);
    return EmpathySimpleFacetMapper;
}());
exports.EmpathySimpleFacetMapper = EmpathySimpleFacetMapper;
//# sourceMappingURL=empathy-simple-facet.mapper.js.map