"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BeaconTrackingRequestor = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var BeaconTrackingRequestor = /** @class */ (function () {
    function BeaconTrackingRequestor() {
    }
    BeaconTrackingRequestor.prototype.request = function (trackingRequest) {
        var url = this.buildUrl(trackingRequest);
        if (navigator.sendBeacon(url)) {
            return Promise.resolve();
        }
        else {
            return Promise.reject('Beacon not queued');
        }
    };
    BeaconTrackingRequestor.prototype.buildUrl = function (trackingRequest) {
        var url = new URL(trackingRequest.url);
        Object.entries(trackingRequest.params).forEach(function (_a) {
            var key = _a[0], value = _a[1];
            return url.searchParams.append(key, value);
        });
        return url.href;
    };
    BeaconTrackingRequestor = tslib_1.__decorate([
        inversify_1.injectable()
    ], BeaconTrackingRequestor);
    return BeaconTrackingRequestor;
}());
exports.BeaconTrackingRequestor = BeaconTrackingRequestor;
//# sourceMappingURL=beacon-tracking.requestor.js.map