"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathyEndpointsService = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../container/container.const");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyEndpointsService = /** @class */ (function () {
    function EmpathyEndpointsService(config) {
        this.config = config;
    }
    EmpathyEndpointsService.prototype.buildUrl = function (rawUrl) {
        if (!rawUrl.startsWith('http')) {
            rawUrl = "https://" + rawUrl;
        }
        return rawUrl
            .replace(/{env}/g, this.config.env === 'live' ? '' : "-" + this.config.env)
            .replace(/{instance}/g, this.config.instance);
    };
    EmpathyEndpointsService = tslib_1.__decorate([
        inversify_1.injectable(),
        tslib_1.__param(0, inversify_1.inject(container_const_1.DEPENDENCIES.config)),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], EmpathyEndpointsService);
    return EmpathyEndpointsService;
}());
exports.EmpathyEndpointsService = EmpathyEndpointsService;
//# sourceMappingURL=empathy-endpoints.service.js.map