var _a, _b, _c, _d;
import { DEFAULT_EMPATHY_ADAPTER_CONFIG } from '../config/empathy-adapter.config';
import { FetchHttpClient } from '../http-clients/fetch-http-client';
import { EmpathyClicksRecommendationsRequestMapper } from '../mappers/request/empathy-clicks-recommendations-request.mapper';
import { EmpathyQueriesRecommendationsRequestMapper } from '../mappers/request/empathy-queries-recommendations-request.mapper';
import { EmpathyQueryableRequestMapper } from '../mappers/request/empathy-queryable-request.mapper';
import { EmpathyRequestParamsMapper } from '../mappers/request/empathy-request-params.mapper';
import { EmpathySearchRequestMapper } from '../mappers/request/empathy-search-request.mapper';
import { EmpathySectionRecommendationsRequestMapper } from '../mappers/request/empathy-section-recommendations-request.mapper';
import { EmpathyUserInfoMapper } from '../mappers/request/empathy-user-data-request.mapper';
import { EmpathyRequestFiltersSolrSyntaxMapper } from '../mappers/request/params/empathy-request-filters-solr-syntax.mapper';
import { EmpathyRequestFiltersMapper } from '../mappers/request/params/empathy-request-filters.mapper';
import { EmpathyRequestQueryMapper } from '../mappers/request/params/empathy-request-query.mapper';
import { EmpathyRequestRelatedTagsQueryMapper } from '../mappers/request/params/empathy-request-related-tags-query.mapper';
import { EmpathyRequestSortMapper } from '../mappers/request/params/empathy-request-sort.mapper';
import { ResponseMappers } from '../mappers/response.mappers';
import { EmpathyBannerMapper } from '../mappers/response/empathy-banner.mapper';
import { EmpathyNextQueryMapper } from '../mappers/response/empathy-next-query.mapper';
import { EmpathyPartialResultMapper } from '../mappers/response/empathy-partial-result.mapper';
import { EmpathyPromotedMapper } from '../mappers/response/empathy-promoted.mapper';
import { EmpathyRedirectionMapper } from '../mappers/response/empathy-redirection.mapper';
import { EmpathyRelatedTagMapper } from '../mappers/response/empathy-related-tag.mapper';
import { EmpathySimpleValueMapper } from '../mappers/response/empathy-simple-value.mapper';
import { EmpathyTaggingMapper } from '../mappers/response/empathy-tagging.mapper';
import { EmpathyFacetMapper } from '../mappers/response/facets/empathy-facet.mapper';
import { EmpathyHierarchicalFacetMapper } from '../mappers/response/facets/empathy-hierarchical-facet.mapper';
import { EmpathyNumberRangeFacetMapper } from '../mappers/response/facets/empathy-number-range-facet.mapper';
import { EmpathySimpleFacetMapper } from '../mappers/response/facets/empathy-simple-facet.mapper';
import { EmpathyBooleanFilterMapper } from '../mappers/response/filters/empathy-boolean-filter.mapper';
import { EmpathyFacetFilterMapper } from '../mappers/response/filters/empathy-facet-filter.mapper';
import { EmpathyHierarchicalFilterMapper } from '../mappers/response/filters/empathy-hierarchical-filter.mapper';
import { EmpathyNumberRangeFilterMapper } from '../mappers/response/filters/empathy-number-range-filter.mapper';
import { EmpathySimpleFilterMapper } from '../mappers/response/filters/empathy-simple-filter.mapper';
import { EmpathyResultQueryTaggingMapper } from '../mappers/response/results/empathy-result-query-tagging.mapper';
import { EmpathyResultMapper } from '../mappers/response/results/empathy-result.mapper';
import { EmpathySuggestionFacetsMapper } from '../mappers/response/suggestions/empathy-suggestion-facets.mapper';
import { EmpathySuggestionMapper } from '../mappers/response/suggestions/empathy-suggestion.mapper';
import { BeaconTrackingRequestor } from '../requestors/beacon-tracking.requestor';
import { FeatureRequestor } from '../requestors/feature.requestor';
import { Requestors } from '../requestors/requestors';
import { EmpathyEndpointsService } from '../services/empathy-endpoints.service';
import { DEPENDENCIES } from './container.const';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
export var BINDINGS = (_a = {},
    _a[DEPENDENCIES.config] = { toConstant: DEFAULT_EMPATHY_ADAPTER_CONFIG },
    _a[DEPENDENCIES.httpClient] = FetchHttpClient,
    _a[DEPENDENCIES.endpointsService] = EmpathyEndpointsService,
    _a[DEPENDENCIES.entityMappers] = ResponseMappers,
    _a[DEPENDENCIES.requestors] = Requestors,
    _a[DEPENDENCIES.featureName] = {
        toConstantWhenInjectedInto: (_b = {},
            _b[DEPENDENCIES.Requestors.nextQueries] = 'nextQueries',
            _b[DEPENDENCIES.Requestors.topRecommendations] = 'topRecommendations',
            _b[DEPENDENCIES.Requestors.sectionRecommendations] = 'sectionRecommendations',
            _b[DEPENDENCIES.Requestors.clicksRecommendations] = 'clicksRecommendations',
            _b[DEPENDENCIES.Requestors.queriesRecommendations] = 'queriesRecommendations',
            _b[DEPENDENCIES.Requestors.userRecommendations] = 'userRecommendations',
            _b[DEPENDENCIES.Requestors.search] = 'search',
            _b[DEPENDENCIES.Requestors.relatedTags] = 'relatedTags',
            _b[DEPENDENCIES.Requestors.searchById] = 'searchById',
            _b[DEPENDENCIES.Requestors.suggestions] = 'suggestions',
            _b[DEPENDENCIES.Requestors.track] = 'track',
            _b)
    },
    // Requestors
    _a[DEPENDENCIES.Requestors.nextQueries] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.topRecommendations] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.sectionRecommendations] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.clicksRecommendations] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.queriesRecommendations] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.userRecommendations] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.search] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.relatedTags] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.searchById] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.suggestions] = FeatureRequestor,
    _a[DEPENDENCIES.Requestors.track] = BeaconTrackingRequestor,
    // Request mappers
    _a[DEPENDENCIES.requestMappers] = {
        default: EmpathyRequestParamsMapper,
        whenInjectedInto: (_c = {},
            _c[DEPENDENCIES.Requestors.nextQueries] = EmpathyQueryableRequestMapper,
            _c[DEPENDENCIES.Requestors.topRecommendations] = EmpathyQueryableRequestMapper,
            _c[DEPENDENCIES.Requestors.sectionRecommendations] = [EmpathySectionRecommendationsRequestMapper, EmpathyUserInfoMapper],
            _c[DEPENDENCIES.Requestors.clicksRecommendations] = [EmpathyClicksRecommendationsRequestMapper, EmpathyUserInfoMapper],
            _c.EmpathySectionRecommendationsRequestMapper = EmpathySectionRecommendationsRequestMapper,
            _c[DEPENDENCIES.Requestors.queriesRecommendations] = [
                EmpathyQueriesRecommendationsRequestMapper,
                EmpathySectionRecommendationsRequestMapper,
                EmpathyUserInfoMapper
            ],
            _c[DEPENDENCIES.Requestors.userRecommendations] = [EmpathyUserInfoMapper, EmpathySectionRecommendationsRequestMapper],
            _c[DEPENDENCIES.Requestors.search] = EmpathySearchRequestMapper,
            _c[DEPENDENCIES.Requestors.relatedTags] = EmpathyQueryableRequestMapper,
            _c[DEPENDENCIES.Requestors.searchById] = EmpathyQueryableRequestMapper,
            _c[DEPENDENCIES.Requestors.suggestions] = EmpathyQueryableRequestMapper,
            _c)
    },
    // Request params mappers
    _a[DEPENDENCIES.RequestMappers.Parameters.query] = [EmpathyRequestRelatedTagsQueryMapper, EmpathyRequestQueryMapper],
    _a[DEPENDENCIES.RequestMappers.Parameters.filters] = EmpathyRequestFiltersMapper,
    _a[DEPENDENCIES.RequestMappers.Parameters.filtersValue] = EmpathyRequestFiltersSolrSyntaxMapper,
    _a[DEPENDENCIES.RequestMappers.Parameters.sort] = EmpathyRequestSortMapper,
    // Response mappers
    _a[DEPENDENCIES.ResponseMappers.banners] = EmpathyBannerMapper,
    _a[DEPENDENCIES.ResponseMappers.facets] = [
        EmpathyFacetMapper,
        EmpathySimpleFacetMapper,
        EmpathyHierarchicalFacetMapper,
        EmpathyNumberRangeFacetMapper
    ],
    _a[DEPENDENCIES.ResponseMappers.simpleFilter] = [EmpathyFacetFilterMapper, EmpathyBooleanFilterMapper, EmpathySimpleFilterMapper],
    _a[DEPENDENCIES.ResponseMappers.hierarchicalFilter] = [EmpathyFacetFilterMapper, EmpathyBooleanFilterMapper, EmpathyHierarchicalFilterMapper],
    _a[DEPENDENCIES.ResponseMappers.numberRangeFilter] = [EmpathyFacetFilterMapper, EmpathyBooleanFilterMapper, EmpathyNumberRangeFilterMapper],
    _a[DEPENDENCIES.ResponseMappers.nextQueries] = EmpathyNextQueryMapper,
    _a[DEPENDENCIES.ResponseMappers.partialResults] = EmpathyPartialResultMapper,
    _a[DEPENDENCIES.ResponseMappers.promoteds] = EmpathyPromotedMapper,
    _a[DEPENDENCIES.ResponseMappers.queryTagging] = EmpathyTaggingMapper,
    _a[DEPENDENCIES.ResponseMappers.redirections] = EmpathyRedirectionMapper,
    _a[DEPENDENCIES.ResponseMappers.relatedTags] = EmpathyRelatedTagMapper,
    _a[DEPENDENCIES.ResponseMappers.results] = {
        default: EmpathyResultMapper,
        whenAnyAncestorIs: (_d = {},
            _d[DEPENDENCIES.Requestors.search] = EmpathyResultQueryTaggingMapper,
            _d[DEPENDENCIES.Requestors.searchById] = EmpathyResultQueryTaggingMapper,
            _d)
    },
    _a[DEPENDENCIES.ResponseMappers.showTagging] = EmpathyTaggingMapper,
    _a[DEPENDENCIES.ResponseMappers.spellcheck] = EmpathySimpleValueMapper,
    _a[DEPENDENCIES.ResponseMappers.suggestions] = [EmpathySuggestionMapper, EmpathySuggestionFacetsMapper],
    _a[DEPENDENCIES.ResponseMappers.totalResults] = EmpathySimpleValueMapper,
    // Response helpers
    _a[DEPENDENCIES.ResponseMappers.Helpers.tagging] = EmpathyTaggingMapper,
    _a);
//# sourceMappingURL=container.bindings.js.map