import { __assign, __decorate, __metadata, __param, __rest } from "tslib";
import { injectable, multiInject } from 'inversify';
import { DEPENDENCIES } from '../../container/container.const';
import { pipeMappers } from '../pipe-mappers';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyQueryableRequestMapper = /** @class */ (function () {
    function EmpathyQueryableRequestMapper(queryMapper) {
        this.mapQuery = pipeMappers.apply(void 0, queryMapper);
    }
    EmpathyQueryableRequestMapper.prototype.map = function (_a, request, context) {
        var query = _a.query, _b = _a.relatedTags, relatedTags = _b === void 0 ? [] : _b, rest = __rest(_a, ["query", "relatedTags"]);
        return Object.assign(request, __assign(__assign({}, rest), { q: query && this.mapQuery({ query: query, relatedTags: relatedTags }, query, context) }));
    };
    EmpathyQueryableRequestMapper = __decorate([
        injectable(),
        __param(0, multiInject(DEPENDENCIES.RequestMappers.Parameters.query)),
        __metadata("design:paramtypes", [Array])
    ], EmpathyQueryableRequestMapper);
    return EmpathyQueryableRequestMapper;
}());
export { EmpathyQueryableRequestMapper };
//# sourceMappingURL=empathy-queryable-request.mapper.js.map