import { __decorate } from "tslib";
import { injectable } from 'inversify';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var BeaconTrackingRequestor = /** @class */ (function () {
    function BeaconTrackingRequestor() {
    }
    BeaconTrackingRequestor.prototype.request = function (trackingRequest) {
        var url = this.buildUrl(trackingRequest);
        if (navigator.sendBeacon(url)) {
            return Promise.resolve();
        }
        else {
            return Promise.reject('Beacon not queued');
        }
    };
    BeaconTrackingRequestor.prototype.buildUrl = function (trackingRequest) {
        var url = new URL(trackingRequest.url);
        Object.entries(trackingRequest.params).forEach(function (_a) {
            var key = _a[0], value = _a[1];
            return url.searchParams.append(key, value);
        });
        return url.href;
    };
    BeaconTrackingRequestor = __decorate([
        injectable()
    ], BeaconTrackingRequestor);
    return BeaconTrackingRequestor;
}());
export { BeaconTrackingRequestor };
//# sourceMappingURL=beacon-tracking.requestor.js.map