import { Dictionary, RequestOptions } from '../../types';
import { CacheService } from '../services/cache-service.types';
import { HttpClient } from './http-client.types';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
export declare class FetchHttpClient implements HttpClient {
    protected readonly cache?: CacheService | undefined;
    protected requestsAbortControllers: Dictionary<AbortController>;
    constructor(cache?: CacheService | undefined);
    get<T>(endpoint: string, params?: Dictionary, { requestId, headers, ttlInMinutes }?: RequestOptions): Promise<T>;
    protected parseResponse(response: Response): Promise<any>;
    protected buildUrl(endpoint: string, params: Dictionary): string;
    protected cancelPreviousRequest(requestId: string): void;
    protected getRequestOptions(requestId: string, headers: Dictionary<string>): RequestInit;
    protected createAbortController(requestId: string): AbortSignal;
    protected storeInCache<T>(url: string, ttlInMinutes: number): (response: T) => T;
}
