import { HierarchicalFacet, HierarchicalFilter, Filter } from '@empathyco/x-types';
import { MapFn, ResponseMapper, ResponseMapperContext } from '../../../empathy-adapter.types';
import { EmpathyFacet, EmpathyFilter } from '../../../models';
/**
 * Hierarchical Empathy facet mapper.
 *
 * @public
 */
export declare class EmpathyHierarchicalFacetMapper implements ResponseMapper<EmpathyFacet, HierarchicalFacet> {
    protected readonly mapFilter: MapFn<EmpathyFilter, HierarchicalFilter>;
    constructor(filterMappers: ResponseMapper<EmpathyFilter, HierarchicalFilter>[]);
    map(rawFacet: EmpathyFacet, facet: HierarchicalFacet, context: ResponseMapperContext): HierarchicalFacet;
    protected mapFiltersTree(facet: HierarchicalFacet, rawFilters: EmpathyFilter[], context: ResponseMapperContext): HierarchicalFilter[];
    protected mapDeepFilter(rawFilter: EmpathyFilter, initFilterProps: Readonly<Partial<HierarchicalFilter>>, context: ResponseMapperContext, filters: HierarchicalFilter[]): Filter['id'];
}
