import { NumberRangeFacet, NumberRangeFilter } from '@empathyco/x-types';
import { EmpathyAdapterConfig, FacetsConfig } from '../../../config';
import { MapFn, ResponseMapper, ResponseMapperContext } from '../../../empathy-adapter.types';
import { EmpathyFacet, EmpathyFilter } from '../../../models';
/**
 * Number Range Empathy facet mapper.
 *
 * @public
 */
export declare class EmpathyNumberRangeFacetMapper implements ResponseMapper<EmpathyFacet, NumberRangeFacet> {
    protected readonly facetsConfig: FacetsConfig;
    protected readonly mapFilter: MapFn<EmpathyFilter, NumberRangeFilter>;
    constructor(filterMappers: ResponseMapper<EmpathyFilter, NumberRangeFilter>[], config: EmpathyAdapterConfig);
    map(rawFacet: EmpathyFacet, facet: NumberRangeFacet, context: ResponseMapperContext): NumberRangeFacet;
    protected mapFilters(facet: NumberRangeFacet, rawFilters: EmpathyFilter[] | undefined, isDynamic: boolean, context: ResponseMapperContext): NumberRangeFilter[];
}
